Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class ControlsState

    java.lang.Object
      org.richfaces.renderkit.ControlsState

    public class ControlsState

extends java.lang.Object

Author:
  Nick Belaevski - nbelaevski@exadel.com

Constructor Summary
`ControlsState()`

Method Summary
`boolean` | `getControlsSeparatorRendered()`
`boolean` | `getFastForwardEnabled()`
`boolean` | `getFastForwardRendered()`
`boolean` | `getFastRewindEnabled()`
`boolean` | `getFastRewindRendered()`
`boolean` | `getFirstEnabled()`
`boolean` | `getFirstRendered()`
`boolean` | `getLastEnabled()`
`boolean` | `getLastRendered()`
`boolean` | `getNextEnabled()`
`boolean` | `getNextRendered()`
`boolean` | `getPreviousEnabled()`
`boolean` | `getPreviousRendered()`
`void` | `setControlsSeparatorRendered(boolean controlsSeparatorRendered)`
`void` | `setFastForwardEnabled(boolean fastForwardEnabled)`
`void` | `setFastForwardRendered(boolean fastForwardRendered)`
`void` | `setFastRewindEnabled(boolean fastRewindEnabled)`
`void` | `setFastRewindRendered(boolean fastRewindRendered)`
`void` | `setFirstEnabled(boolean firstEnabled)`
`void` | `setFirstRendered(boolean firstRendered)`
`void` | `setLastEnabled(boolean lastEnabled)`
`void` | `setLastRendered(boolean lastRendered)`
`void` | `setNextEnabled(boolean nextEnabled)`
`void` | `setNextRendered(boolean nextRendered)`
`void` | `setPreviousEnabled(boolean previousEnabled)`
`void` | `setPreviousRendered(boolean previousRendered)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ControlsState

    public ControlsState()

Method Detail

### getFirstRendered

    public boolean getFirstRendered()

### setFirstRendered

    public void setFirstRendered(boolean firstRendered)

### getFirstEnabled

    public boolean getFirstEnabled()

### setFirstEnabled

    public void setFirstEnabled(boolean firstEnabled)

### getLastRendered

    public boolean getLastRendered()

### setLastRendered

    public void setLastRendered(boolean lastRendered)

### getLastEnabled

    public boolean getLastEnabled()

### setLastEnabled

    public void setLastEnabled(boolean lastEnabled)

### getFastRewindRendered

    public boolean getFastRewindRendered()

### setFastRewindRendered

    public void setFastRewindRendered(boolean fastRewindRendered)

### getFastRewindEnabled

    public boolean getFastRewindEnabled()

### setFastRewindEnabled

    public void setFastRewindEnabled(boolean fastRewindEnabled)

### getFastForwardRendered

    public boolean getFastForwardRendered()

### setFastForwardRendered

    public void setFastForwardRendered(boolean fastForwardRendered)

### getFastForwardEnabled

    public boolean getFastForwardEnabled()

### setFastForwardEnabled

    public void setFastForwardEnabled(boolean fastForwardEnabled)

### getNextRendered

    public boolean getNextRendered()

### setNextRendered

    public void setNextRendered(boolean nextRendered)

### getNextEnabled

    public boolean getNextEnabled()

### setNextEnabled

    public void setNextEnabled(boolean nextEnabled)

### getPreviousRendered

    public boolean getPreviousRendered()

### setPreviousRendered

    public void setPreviousRendered(boolean previousRendered)

### getPreviousEnabled

    public boolean getPreviousEnabled()

### setPreviousEnabled

    public void setPreviousEnabled(boolean previousEnabled)

### getControlsSeparatorRendered

    public boolean getControlsSeparatorRendered()

### setControlsSeparatorRendered

    public void setControlsSeparatorRendered(boolean controlsSeparatorRendered)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.